com.orsoncharts.label

## Interface CategoryLabelGenerator

- All Known Implementing Classes:
    StandardCategoryLabelGenerator

      public interface CategoryLabelGenerator

  A label generator for category charts, used to create labels for the axes and for the chart legend. The (`StandardCategoryLabelGenerator`) class provides the default implementation.
  Note that a different generator is used for item labels in a `CategoryPlot3D` - see the `CategoryItemLabelGenerator` interface.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateColumnLabel(CategoryDataset3D dataset, java.lang.Comparable<?> columnKey)` Generates a label for one column in a `CategoryDataset3D`.
    `java.lang.String` | `generateRowLabel(CategoryDataset3D dataset, java.lang.Comparable<?> rowKey)` Generates a label for one row in a `CategoryDataset3D`.
    `java.lang.String` | `generateSeriesLabel(CategoryDataset3D dataset, java.lang.Comparable<?> seriesKey)` Generates a label for one series in a `CategoryDataset3D`.

- - ### Method Detail

    - #### generateSeriesLabel

          java.lang.String generateSeriesLabel(CategoryDataset3D dataset,
                                               java.lang.Comparable<?> seriesKey)

      Generates a label for one series in a `CategoryDataset3D`.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `seriesKey` - the series key (`null` not permitted).
      Returns:
        The series label (possibly `null`).

    - #### generateRowLabel

          java.lang.String generateRowLabel(CategoryDataset3D dataset,
                                            java.lang.Comparable<?> rowKey)

      Generates a label for one row in a `CategoryDataset3D`.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `rowKey` - the key (`null` not permitted).
      Returns:
        The row label (possibly `null`).

    - #### generateColumnLabel

          java.lang.String generateColumnLabel(CategoryDataset3D dataset,
                                               java.lang.Comparable<?> columnKey)

      Generates a label for one column in a `CategoryDataset3D`.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `columnKey` - the key (`null` not permitted).
      Returns:
        The column label (possibly `null`).